VERSION 5.00
Begin VB.Form frmTest 
   AutoRedraw      =   -1  'True
   Caption         =   "Test"
   ClientHeight    =   5370
   ClientLeft      =   4395
   ClientTop       =   2805
   ClientWidth     =   8205
   BeginProperty Font 
      Name            =   "Courier New"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   LinkTopic       =   "Form1"
   ScaleHeight     =   5370
   ScaleWidth      =   8205
   Begin VB.CommandButton cmdExit 
      Caption         =   "Exit"
      Height          =   495
      Left            =   6240
      TabIndex        =   2
      Top             =   4800
      Width           =   1875
   End
   Begin VB.CommandButton cmdClear 
      Caption         =   "Clear"
      Height          =   495
      Left            =   3150
      TabIndex        =   1
      Top             =   4800
      Width           =   1875
   End
   Begin VB.CommandButton cmdTryIt 
      Caption         =   "Try It"
      Height          =   495
      Left            =   60
      TabIndex        =   0
      Top             =   4800
      Width           =   1875
   End
End
Attribute VB_Name = "frmTest"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Type EmployeeRecord
    EmpName    As String
    DeptNbr    As Integer
    JobTitle   As String
    HireDate   As Date
    HrlyRate   As Single
End Type

Private maudtEmpRecord() As EmployeeRecord
    

Private Sub cmdClear_Click()
    Cls
End Sub


Private Sub cmdExit_Click()
    End
End Sub


Private Sub cmdTryIt_Click()

    Dim strEmpFileName  As String
    Dim strBackSlash    As String
    Dim intEmpFileNbr   As Integer
    
    Dim intRecCount     As Integer
    Dim intX            As Integer
    
    On Error GoTo cmdTryIt_Click_Error
    
    strBackSlash = IIf(Right$(App.Path, 1) = "\", "", "\")
    strEmpFileName = App.Path & strBackSlash & "EMPTY.DAT"
    intEmpFileNbr = FreeFile
    
    Open strEmpFileName For Input As #intEmpFileNbr
    
    intRecCount = 0
    
    Do Until EOF(intEmpFileNbr)
        intRecCount = intRecCount + 1
        ReDim Preserve maudtEmpRecord(1 To intRecCount)
        With maudtEmpRecord(intRecCount)
            Input #intEmpFileNbr, .EmpName, _
                                  .DeptNbr, _
                                  .JobTitle, _
                                  .HireDate, _
                                  .HrlyRate
        End With
    Loop
    
    Close #intEmpFileNbr
    
    ' The following statement will cause the error-handling code
    ' to execute ...
    For intX = LBound(maudtEmpRecord) To UBound(maudtEmpRecord)
        With maudtEmpRecord(intX)
            Print .EmpName; _
                  Tab(25); Format$(.DeptNbr, "@@@@"); _
                  Tab(35); .JobTitle; _
                  Tab(55); Format$(.HireDate, "mm/dd/yyyy"); _
                  Tab(70); Format$(Format$(.HrlyRate, "Standard"), "@@@@@@@")
        End With
    Next
    
cmdTryIt_Click_Exit:
    Exit Sub
    
cmdTryIt_Click_Error:
    
    If Err.Number = 9 Then
        Print "File was empty."
    Else
        MsgBox "The following error occurred:" & vbNewLine _
             & "Error # " & Err.Number & " - " & Err.Description, _
               vbCritical, _
               "Error"
    End If
    
    Resume cmdTryIt_Click_Exit
    
End Sub

